# Generated from test_xml-0.1.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name test_xml

Name: rubygem-%{gem_name}
Version: 0.1.8
Release: 1%{?dist}
Summary: Test your XML with Test::Unit, MiniTest, RSpec, or Cucumber
License: MIT
URL: http://github.com/alovak/test_xml
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(test-unit) >= 3.1
# BuildRequires: rubygem(test-unit) < 4
# BuildRequires: rubygem(rspec) >= 2.2
BuildArch: noarch

%description
Test your XML with Test::Unit, MiniTest, RSpec, or Cucumber using handy
assertions like #assert_xml_equal or #assert_xml_structure_contain.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CHANGES.md
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/test
%{gem_instdir}/test_xml.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.1.8-1
- Initial package
